Subject: [Mip6] Re: (primary) coa and draft-ietf-mip6-ikev2-ipsec

From: Vijay Devarapalli <[email-masked]>
Date: Sun, 23 Oct 2005 21:04:33 -0700

Francis Dupont wrote:
> There are still 4 "coa" reported by grep in the I-D (tentative 04).
> 
> I have a new/better argument for the primary CoA:
> in 6.1.2 (RR) the specs for the MN and the HA both uses the CoA in
> the outer header. If the MN could use any CoA the HA knows only the
> registered CoA which is the primary CoA. So in 5 and 6 the CoA is
> the primary CoA...
> 
> I propose to change in 5:
> 
>    For the examples described in this document, a mobile node with home
>    address, "home_address_1", a home agent with address, "home_agent_1"
>    and a user of the mobile node with identity "user_1" are assumed.  If
>    the home address of the mobile node changes, the SPD and SAD entries
>    need to re-created or updated for the new home address.
> 
> into:
> 
>    For the examples described in this document, a mobile node with home
>    address, "home_address_1", primary care-of address, "care_of_address_1",
>    a home agent with address, "home_agent_1"
>    and a user of the mobile node with identity "user_1" are assumed.  If
>    the home address of the mobile node changes, the SPD and SAD entries
>    need to re-created or updated for the new home address.
> 
> and for 6:
> 
>    In the examples shown below, the identity of the user of the mobile
>    node is assumed to be user_1, the home address of the mobile node is
>    assumed to be home_address_1 and the IPv6 address of the Home Agent
>    is assumed to be home_agent_1.
> 
> into:
> 
>    In the examples shown below, the identity of the user of the mobile
>    node is assumed to be user_1, the home address of the mobile node is
>    assumed to be home_address_1, the primary care-of address of the
>    mobile node is assumed to be care_of_address_1 and the IPv6 address
>    of the Home Agent is assumed to be home_agent_1.

okay. I made these changes.

> 
> BTW this defines care_of_address_1 too...
> 
> If we need a SHOULD for the primary care-of address in should be in 6.3
> (K flag). I believe we can constraint a bit the context when the K flag
> is used, I propose to insert before "The IKE SA endpoints" this statement:
> 
> The mobile node establishes the IKE SA with the home address using its
> primary care-of address.

I guess you meant

The mobile node establishes the IKE SA with the home agent using
its primary care-of address.

Vijay

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Francis Dupont <[email-masked]>
Date: Mon, 24 Oct 2005 09:00:22 +0200

I guess you meant

=> oops... of course you're right.

Thanks

[email-masked]